declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    readonly topHeight: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<string | number>, unknown, unknown, "40px", boolean>;
    readonly verticalSpace: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<string | number>, unknown, unknown, "8px", boolean>;
}>, {
    bem: {
        b: (blockSuffix?: string) => string;
        e: (element?: string) => string;
        m: (modifier?: string) => string;
        be: (blockSuffix?: string, element?: string) => string;
        em: (element: string, modifier: string) => string;
        bm: (blockSuffix: string, modifier: string) => string;
        bem: (blockSuffix: string, element: string, modifier: string) => string;
        is: (name?: string) => string;
    };
    readonly addUnit: (val: string | number) => string;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    readonly topHeight: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<string | number>, unknown, unknown, "40px", boolean>;
    readonly verticalSpace: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<string | number>, unknown, unknown, "8px", boolean>;
}>> & Readonly<{}>, {
    readonly topHeight: import("ll-plus/es/utils").EpPropMergeType<import("vue").PropType<string | number>, unknown, unknown>;
    readonly verticalSpace: import("ll-plus/es/utils").EpPropMergeType<import("vue").PropType<string | number>, unknown, unknown>;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
